Permalink
Browse files

Don't install Sphinx by default.

  • Loading branch information...
1 parent 6cbeaf2 commit cea82a257e2f292b1c809c51ff739cff92ce778e @philipn philipn committed Aug 5, 2012
Showing with 5 additions and 4 deletions.
  1. +4 −0 INSTALL
  2. +1 −2 sapling/etc/install_config/optional.txt
  3. +0 −2 setup.py
View
4 INSTALL
@@ -80,6 +80,10 @@ Instead of 'install'. This makes the code update without having to run
You'll also probably want to set DEBUG to False in share/conf/localsettings.py
+To build the docs you'll want to install the optional requirements:
+
+ (env)$ pip install -r install_config/optional.txt
+
-------------------------------------------------------------------------------
We've really only tested things on Ubuntu Server Edition 10.04 LTS. It should
be very possible to run this on any Unix-y system. You'll need to:
View
3 sapling/etc/install_config/optional.txt
@@ -1,2 +1 @@
-Sphinx>=1.0.7
-
+Sphinx==1.1.3
View
2 setup.py
@@ -130,8 +130,6 @@ def gen_data_files(*dirs):
'django-olwidget==0.46-custom1',
'django-honeypot==0.3.0-custom',
'django-qsstats-magic==0.7',
- # Actually optional:
- 'Sphinx==1.1.3',
]
if int(os.getenv('DISABLE_INSTALL_REQUIRES', '0')):
install_requires = None

0 comments on commit cea82a2

Please sign in to comment.